Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# locator.hpp File Reference

## Detailed Description

pixel 2D locator

Author:
  Lubomir Bourdev and Hailin Jin
  Adobe Systems Incorporated

Date:
  2005-2007
  September 20, 2006

`#include <cstddef>`
`#include <cassert>`
`#include "pixel_iterator.hpp"`

Go to the source code of this file.

## Namespaces

namespace | boost
namespace | boost::gil
namespace | boost::gil::detail

## Classes

class | pixel_2d_locator_base
| base class for models of PixelLocatorConcept Pixel locator is similar to a pixel iterator, but allows for 2D navigation of pixels within an image view. It has a 2D difference_type and supports random access operations like: More...
class | memory_based_2d_locator
| Memory-based pixel locator. Models: PixelLocatorConcept,HasDynamicXStepTypeConcept,HasDynamicYStepTypeConcept,HasTransposedTypeConcept The class takes a step iterator as a parameter. The step iterator provides navigation along the vertical axis while its base iterator provides horizontal navigation. More...

## Functions

template<typename P>
ptrdiff_t | memunit_step (const P *)
template<typename P>
P * | memunit_advanced (const P *p, ptrdiff_t diff)
template<typename P>
P & | memunit_advanced_ref (P *p, ptrdiff_t diff)